Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.18.10 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24915
Description

I have configured a localhost qgiserver/qgisclient in my windows 10 pc with Apache/2.4.27 (Win64) and php7 loaded in httpd.conf:

LoadModule php7_module "C:\Apache_qgiserver\php_mod\php7apache2_4.dIl"
AddHandler php7-script php

Directorylndex index.html index.php

AddType text/html php

PhpIniDir "C:\Apache_qgiserver\php_mod"

The Web client works fine but | cannot configure php search box... I've created a sample project named "prova.qgs" in
\htdocs\QGIS-Web-Client\projects with a postgis layer inside named "italia". Then | modified GlobalOptions.js to include search box:
// PHP based search scripts (postgis layers only)

var searchBoxQueryURL ="../php/search.php?map=" + project_map;

var searchBoxGetGeomURL = "../php/search_geom.php?map="' + project_map;

Then | set up the config.php file as follows:

/ * * **** * search configuration
*/
// Configuration for searchable layers
$searchlayers_config = array(
/I Key is layer name
'italia’ => array(
// SQL for text search: where to search
'search_column' => 'nome’

/I Default search tables
define('DEFAULT_SEARCH_LAYERS', 'italia');

but the search box doesn't work and | receive an error:

Internal server error (QGIS Client)

db error: SQLSTATES96 [7] FATALE: autenticazione con password fallita per l'utente "'postgres"

this is the query url:
http://localhost/php/search.php?map=C:/Apache_qggiserver/htdocs/QGIS-Web-Client/projects/prova.qgs&#38;searchtables=&#38;query
sicilia&#38;cb=stcCallback1001
History

#1 - 2017-08-14 05:55 PM - Tudor Barascu

I haven't played around with the php search but the error seems obvious (wrong password for user postgres).
You could setup the db to temporarily trust connections from your ip just to be sure.

#2 - 2017-08-14 08:36 PM - Ivan D'Ortenzio

Tudor Barascu wrote:

I haven't played around with the php search but the error seems obvious (wrong password for user postgres).
You could setup the db to temporarily trust connections from your ip just to be sure.

| resolved my problem... but | modified connection string parameters like host,port,dbname,user and password manually in

htdocs\QGIS-Web-Client\site\php\Helpers.php. This is because the $ds_parms|['user'] return the username as'postgres' and not without quotes.

#3 - 2017-08-15 09:03 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

| resolved my problem...

good. This was also the wrong bug tracker where to report an issue about QWC.
